package com.bonus.bracelet.service.impl;

import com.bonus.bracelet.mapper.DeviceLyRecordMapper;
import com.bonus.bracelet.mapper.WarnHistoryMapper;
import com.bonus.bracelet.service.IDeviceLyRecordService;
import com.bonus.bracelet.service.IWarnHistoryService;
import com.bonus.common.core.utils.encryption.Sm4Utils;
import com.bonus.common.entity.bracelet.vo.EquipmentReqVo;
import com.bonus.common.entity.bracelet.vo.WarnInfoVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * @className:DeviceLyRecordServiceImpl
 * @description:设备领用记录-serviceImpl
 */
@Slf4j
@Service(value = "IWarnHistoryService")
public class WarnHistorympl implements IWarnHistoryService {

    @Resource(name = "WarnHistoryMapper")
    private WarnHistoryMapper mapper;

    @Override
    public List<WarnInfoVo> getWarnLists(WarnInfoVo dto) {
        List<WarnInfoVo> list = new ArrayList<>();
        try {
            list = mapper.getWarnLists(dto);
        } catch (Exception e) {
            log.error(e.toString(), e);
        }
        return list;
    }
}
